### Enumeration

# Clutter VirtualDeviceType

#### Declaration

    flags Clutter.VirtualDeviceType

#### Description

No description available.

#### Members

`CLUTTER_VIRTUAL_DEVICE_TYPE_NONE`

  No description available.

  - Value: `0`
  - Available since: 14
`CLUTTER_VIRTUAL_DEVICE_TYPE_KEYBOARD`

  No description available.

  - Value: `1`
  - Available since: 14
`CLUTTER_VIRTUAL_DEVICE_TYPE_POINTER`

  No description available.

  - Value: `2`
  - Available since: 14
`CLUTTER_VIRTUAL_DEVICE_TYPE_TOUCHSCREEN`

  No description available.

  - Value: `4`
  - Available since: 14